Bug 132077 - Samba upgrade from 3.0.4-6.3E to 3.0.6-2.3E results in corrupted tdb password database
Samba upgrade from 3.0.4-6.3E to 3.0.6-2.3E results in corrupted tdb password...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: samba (Show other bugs)
3.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Simo Sorce
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-08 13:17 EDT by Ed Asbury
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:18:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed Asbury 2004-09-08 13:17:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3)
Gecko/20040803

Description of problem:
When the conversion of the passdb.tdb password database happens on
upgrade of samba 3.0.4 to 3.0.6, the UWX flags are not carried across
to the new database.  This results in the machines not being able to
login to the domain, however, surprisingly the users still can log in
even though a pdbedit -Lv of the users account shows [           ] in
the Account Flags:.  To partially work around this problem, I had to
delete and recreate all of the machine accounts in the domain and then
rejoin them to the domain.  This still does not take care of the user
account problem.  User Manager for Windows shows absolutely no user
accounts for the domain.  If a new user is created, then that user
shows up under User Manager for Windows and shows in pdbedit with the
proper [UX        ] flags under the Account Flags: field.

Version-Release number of selected component (if applicable):
Samba 3.0.6-2.3E

How reproducible:
Always

Steps to Reproduce:
1.Upgrade from Samba 3.0.4 to 3.0.6
2.
3.
    

Actual Results:  tdb password database corrupted

Expected Results:  Account flags should be imported to new database
format correctly

Additional info:
Comment 1 Jay Fenlason 2004-09-08 16:45:25 EDT
You should report this at bugzilla.samba.org, where the folks who 
write samba will be able to debug this faster than I can.  I've seen 
some discussion of problems with 3.0.6 upgrades on the mailing 
lists, but no resolution.  They may be seeing the same problem you 
are, so your analysis may help the Samba folks figure out what's 
going on. 
Comment 2 RHEL Product and Program Management 2007-10-19 15:18:58 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.